Name:           mkdocs
Version:        0.14.0
Release:        10%{?dist}
Summary:        Python tool to create HTML documentation from markdown sources

License:        BSD
URL:            http://www.mkdocs.org/
Source0:        https://github.com/%{name}/%{name}/archive/%{version}.tar.gz
#https://github.com/mkdocs/mkdocs/pull/687
Source1:        mkdocs.1

BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  python-tornado
BuildRequires:  PyYAML
BuildRequires:  python-markdown
BuildRequires:  python-jinja2
BuildRequires:  python-click
BuildRequires:  fontawesome-fonts
BuildRequires:  fontawesome-fonts-web

Requires:       python-tornado
Requires:       PyYAML
Requires:       python-markdown
Requires:       python-jinja2
Requires:       python-click
Requires:       fontawesome-fonts
Requires:       fontawesome-fonts-web

%description
MkDocs is a fast and simple way to create a website from source files written 
in Markdown, and configured with a YAML configuration file, the documentation 
can be hosted anywhere, even in free hosting services like Read the Docs and 
GitHub Pages.

MkDocs is Python powered, this package is built with Python 3.

%prep
%setup -q -n %{name}-%{version}

rm -rf %{name}.egg.info

find %{_builddir}/%{name}-%{version} -name '*.py' \
    -exec sed -i '1{\@^#!/usr/bin/env python@d}' {} \;

rm -rf mkdocs/themes/*/fonts/fontawesome-webfont.*

sed -i 1d %{_builddir}/%{name}-%{version}/%{name}/utils/ghp_import.py

#Relax requires in epel7
sed -i 78d setup.py
sed -i 80d setup.py
sed -i 76d setup.py

%build
%py2_build

%install
%py2_install

mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 0644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/

for theme in mkdocs/themes/*
do 
mkdir -p %{buildroot}/%{python2_sitelib}/$theme/fonts/
ln -sf %{_datadir}/fonts/fontawesome/FontAwesome.otf \
%{buildroot}/%{python2_sitelib}/$theme/fonts/
ln -sf %{_datadir}/fonts/fontawesome/fontawesome-webfont.svg \
%{buildroot}/%{python2_sitelib}/$theme/fonts/
ln -sf %{_datadir}/fonts/fontawesome/fontawesome-webfont.ttf \
%{buildroot}/%{python2_sitelib}/$theme/fonts/
ln -sf %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff \
%{buildroot}/%{python2_sitelib}/$theme/fonts/
done

%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/* 
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Mon Nov 23 2015 William Moreno <williamjmorenor@gmail.com> - 0.14.0-10
- Drop especific click requires

* Sat Nov 21 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.14.0-9
- Relax requires in epel7

* Sun Nov 15 2015 William Moreno <williamjmorenor@gmail.com> - 0.14.0-8
- rebuilt

* Tue Nov 03 2015 William Moreno <williamjmorenor@gmail.com> - 0.14.0-7
- Build with Python2 for epel7
- Disable test due missing depencies

* Fri Jul 31 2015 Fedora <williamjmorenor@gmail.com> 
- 0.14.0-6
- Update Python macros

* Mon Jul 27 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.14.0-5
- Initial import of #1230963
- Fix BuildRequires
